# H225_CryptoH323Token Class Reference

`#include <h225.h>`

List of all members.

## Public Types

enum | Choices { e_cryptoEPPwdHash, e_cryptoGKPwdHash, e_cryptoEPPwdEncr, e_cryptoGKPwdEncr, e_cryptoEPCert, e_cryptoGKCert, e_cryptoFastStart, e_nestedcryptoToken }

## Public Member Functions

| H225_CryptoH323Token (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator H225_CryptoH323Token_cryptoEPPwdHash & ()
| operator const H225_CryptoH323Token_cryptoEPPwdHash & () const
| operator H225_CryptoH323Token_cryptoGKPwdHash & ()
| operator const H225_CryptoH323Token_cryptoGKPwdHash & () const
| operator H235_ENCRYPTED ()
| operator const H235_ENCRYPTED () const
| operator H235_SIGNED ()
| operator const H235_SIGNED () const
| operator H235_SIGNED ()
| operator const H235_SIGNED () const
| operator H235_CryptoToken & ()
| operator const H235_CryptoToken & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H225_CryptoH323Token::Choices

Enumerator:

  e_cryptoEPPwdHash |
  e_cryptoGKPwdHash |
  e_cryptoEPPwdEncr |
  e_cryptoGKPwdEncr |
  e_cryptoEPCert |
  e_cryptoGKCert |
  e_cryptoFastStart |
  e_nestedcryptoToken |

## Constructor & Destructor Documentation

H225_CryptoH323Token::H225_CryptoH323Token | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H225_CryptoH323Token::operator H225_CryptoH323Token_cryptoEPPwdHash & | ( |  | ) |

H225_CryptoH323Token::operator const H225_CryptoH323Token_cryptoEPPwdHash & | ( |  | ) | const

H225_CryptoH323Token::operator H225_CryptoH323Token_cryptoGKPwdHash & | ( |  | ) |

H225_CryptoH323Token::operator const H225_CryptoH323Token_cryptoGKPwdHash & | ( |  | ) | const

H225_CryptoH323Token::operator H235_ENCRYPTED | ( |  | ) |

H225_CryptoH323Token::operator const H235_ENCRYPTED | ( |  | ) | const

H225_CryptoH323Token::operator H235_SIGNED | ( |  | ) |

H225_CryptoH323Token::operator const H235_SIGNED | ( |  | ) | const

H225_CryptoH323Token::operator H235_SIGNED | ( |  | ) |

H225_CryptoH323Token::operator const H235_SIGNED | ( |  | ) | const

H225_CryptoH323Token::operator H235_CryptoToken & | ( |  | ) |

H225_CryptoH323Token::operator const H235_CryptoToken & | ( |  | ) | const

PBoolean H225_CryptoH323Token::CreateObject | ( |  | ) |

PObject* H225_CryptoH323Token::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h225.h